Bug 192115 - LTC23783-eth0 fails to configure static ip during install
LTC23783-eth0 fails to configure static ip during install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
powerpc Linux
medium Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-05-17 13:51 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-17 16:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2006-05-17 13:51:06 EDT
Hardware Environment
    Machine type: OpenPower 710
    Cpu type  Power5, 

This bug addresses inability to set a static ip on ethX when performing a new
install of May1snapshot of Fedora-development (rawhide).
Linux version 2.6.16-1.2181_FC6 

When you try and configure a static IP for this system and several others during
install the installer refuses to accept the IP address as a valid ip. This was
generally seen using the text installer. The failure is immediate ther eis no
pause between activating the button to apply the IP and the failure. This does
not seem to happen on all installations but is generally reproducible on systems
that see it once.

network card present: Goliad, e1000 driver, latest goliad microcode

2 workarounds
1) if using vnc, don't confirm 'ok' in the submenu of static ip settings for the
NIC you want configured.  Just 'cancel' and return to the main menu. Continue

2) text install (non-vnc). unselect default 'dhcp' for the NICs you do not want
configured. leave 'start on boot' unselected.  for the NIC you do want
configured as static - do the same.  Both 'dhcp' and 'start on boot' are not
checked; however fill in the static ip and netmask on the intended nic.
Upon reboot after install, 
# ifup <targetNIC>  
and edit /etc/sysconfig/networking/profiles/default/ifcfg-<targetNIC>
Comment 1 Paul Nasrat 2006-05-17 16:23:13 EDT
I'm pretty sure this is fixed already - 
Comment 2 Paul Nasrat 2006-05-17 16:25:58 EDT
2006-04-26  Chris Lumens  <clumens@redhat.com>

        * isys/isys.py (inet_ntoa, inet_aton):  Pass the right types to the
        socket module to make manual IP configuration work again.

Anaconda was not built until the 1 May, so test anything post the 2 May tree. 
Else if you are familiar with using RHupdates I can talk you through that.
Comment 3 IBM Bug Proxy 2006-05-27 16:30:09 EDT

           What    |Removed                     |Added
            Version|FC5                         |Other

------- Additional Comments From marksmit@us.ibm.com  2006-05-26 21:50 EDT -------
I was able to reach this point in the install process on the May15, May25 and
May26 (today's) snapshots of rawhide.  This recreates on those three.
File: anaconda- is today's.

I am changing the version on the LTC Bugzilla from FC5 to "other" to reflect
that this is found on Fedora-devel (rawhide). 
Comment 4 IBM Bug Proxy 2006-06-05 23:32:20 EDT

           What    |Removed                     |Added
            Version|Other                       |devel

------- Additional Comments From marksmit@us.ibm.com  2006-06-05 23:38 EDT -------
I am changing the version to 'devel' to properly reflect that this recreates on

I verified that this still recreates on today's rawhide, June 5. 
Comment 5 IBM Bug Proxy 2006-08-29 06:31:44 EDT
----- Additional Comments From marksmit@us.ibm.com  2006-08-29 06:25 EDT -------
Ed, I am unable to specify a static IP on FC6-test2.
However the point of recreate is blocked earlier in the process, so I cannot
test for this specific problem.
The error message text now blocks earlier in the boot process, trying to config
eth0 so I can start an NFS install.
                      ┌────────┤ Network Error ├─────────┐
                      │                                  │
                      │ There was an error configuring   │
                      │ your network interface.          │
                      │                                  │
                      │            ┌───────┐             │
                      │            │ Retry │             │
                      │            └───────┘             │
                      │                                  │
                      │                                  │

No combination of DHCP or on/off IPV6 allows me past this bug.
I will download a rawhide and try on something newer that FC6-test2 (Aug3). 
Comment 6 IBM Bug Proxy 2006-08-29 06:46:20 EDT
----- Additional Comments From marksmit@us.ibm.com  2006-08-29 06:42 EDT -------
Aug7 rawhide is also blocked by the same error. 
Comment 7 IBM Bug Proxy 2006-08-29 13:46:15 EDT
----- Additional Comments From marksmit@us.ibm.com  2006-08-29 13:40 EDT -------
Aug29 snapshot of rawhide no longer has "error configuring your network" problem.
But this bug is now blocked from recreation attempt by
> kernel BUG in shrink_dcache_for_umount_subtree
which occurs prior to the failure point of this 23783. 
Comment 8 IBM Bug Proxy 2006-09-15 15:15:57 EDT

           What    |Removed                     |Added
            Version|devel                       |FC6

------- Additional Comments From marksmit@us.ibm.com  2006-09-15 15:11 EDT -------
Ed, this still recreates on Fedora Core - Test3.

To get to a recreate, you must first ensure there are no reiserfs partitions 
visible (remove them in rescue mode or remove the disk resources from the 
lpar) in order to work around:
 RH204682 kernel BUG in shrink_dcache_for_umount_subtree

Next to work around a new problem that keeps you from creating a static-ip 
interface - the one just after tftpboot that allows the start of nfs/ftp - is 
1.unselect dhcp but leave both ipv4 and ipv6 selected
2.type in info for ipv4 only and select next (it will error)
3.click 'back' and unselect ipv6 and click 'next'
4.type in info for ipv4. it will succeed this time.

You can then proceed in the setup of installation.
When it gets to specifying static/dhcp for each interface, it will offer the 
ip that you previously config'd static, with the static info already filled 
in. Just pick next, selecting it as is, and it will fail with a recreate of 
this problem.
The previous workaround is still valid for this problem: unselect 'activate at 
boot' and it will accept the ip info.  After install you can reverse the 
workaround and start it at boot time. 
Comment 9 IBM Bug Proxy 2006-09-15 15:21:37 EDT

           What    |Removed                     |Added
     Mirror Request|urgent                      |
     #6141 External|                            |
           Severity|                            |
     Mirror Request|RAWHIDE                     |
     #6141 External|                            |
         Resolution|                            |

------- Additional Comments From marksmit@us.ibm.com  2006-09-15 15:18 EDT -------
(From update of mirror request (id=6141) Red Hat Bugzilla)
Can we re-open this on the redhat.com side, please.  My latest testing shows
this recreates on FC6-test3. 
Comment 10 IBM Bug Proxy 2006-10-10 22:10:58 EDT

           What    |Removed                     |Added
             Status|ASSIGNED                    |FIXEDAWAITINGTEST
         Resolution|                            |FIX_BY_DISTRO

------- Additional Comments From marksmit@us.ibm.com  2006-10-10 22:08 EDT -------
By opening a new RH bug: 
for a new problem, when the anaconda code was fixed on 10/6/2006 src code, 
then this bug was also fixed. 
Comment 11 IBM Bug Proxy 2006-10-10 22:16:42 EDT

           What    |Removed                     |Added
             Status|ACCEPTED                    |CLOSED

------- Additional Comments From marksmit@us.ibm.com  2006-10-10 22:10 EDT -------
tested on 10/10/2006 snapshot of rawhide.  all fixed.
vnc on ppc64 and lvm destroy and lvm create problems previously seen are also 

Note You need to log in before you can comment on or make changes to this bug.